Subject: Re: libtool / assembler problem with -DPIC
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Thu, 14 Oct 2004 13:00:12 +0200

Reini wrote:

> Charles Wilson schrieb:
>> Gerrit P. Haase wrote:
>>> With GNU as PIC is not an noop, when -DPIC is used to invoke gas the
>>> generated assembly is broken.  I saw this problem with a
>>> reautoconfiscated version of GMP.  This may be unusual, but there was
>>> libtool used to invoke gas.
>>>
>>> While -DPIC is a noop for usual compilation, it is harmful when used
>>> as gas flag to compile assembly, I suggest to remove it entirely when
>>> target is cygwin. Change would be in libtool.m4 line 4971 ff in
>>> libtool-1.5.10.
>>>
>>> Alternative: don't pass flag through when gas is called.
>> 
>> I don't see anywhere that "-DPIC" is ever invoked on cygwin.  Please 
>> send a patch to libtool.m4 that fixes the problem for you.

> The problem is when a user (or makefile) adds this -DPIC, which does no
> harm usually. Gerrit thought that it might be clever to strip it on 
> cygwin when gas is involved, since this does harm.
> Or maybe emit a warning to fix the makefile for cygwin.
> (Gerrit: Really -DPIC, not -fPIC?)

No.  Libtool adds this flag regardless what in your Makefile.am is.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/